
%global pkg_name oeis
%global pkgver %{pkg_name}-%{version}


Name:           ghc-%{pkg_name}
Version:        0.3.10
Release:    1%{?dist}
Summary:        Interface to the Online Encyclopedia of Integer Sequences

License:        BSD-3-Clause
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-HTTP-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-network-uri-devel
%if %{with ghc_prof}
BuildRequires:  ghc-HTTP-prof
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-network-prof
BuildRequires:  ghc-network-uri-prof
%endif

%description
Interface to the Online Encyclopedia of Integer Sequences.
See <http://oeis.org/>.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%prep
%setup -q -n %{pkgver}
cabal-tweak-dep-ver HTTP '< 4000.4' '< 4000.5'


%build
%ghc_lib_build


%install
%ghc_lib_install


%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files
%doc README.md


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Thu Aug 08 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.10-1
- initial build
